---
title: 'Element: focusout event'
slug: Web/API/Element/focusout_event
tags:
  - API
  - DOM
  - Element
  - Event
  - FocusEvent
  - Reference
  - focusout
  - onfocusout
---
<div>{{APIRef}}</div>

<p>The <strong><code>focusout</code></strong> event fires when an element is about to lose focus. The main difference between this event and {{domxref("Element/blur_event", "blur")}} is that <code>focusout</code> <a href="/en-US/docs/Learn/JavaScript/Building_blocks/Events#Event_bubbling_and_capture">bubbles</a> while <code>blur</code> does not.</p>

<p>The opposite of <code>focusout</code> is {{domxref("Element/focusin_event", "focusin")}}.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("FocusEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onfocusout", "onfocusout")}}</td>
  </tr>
  <tr>
   <th scope="row">Sync / Async</th>
   <td>Sync</td>
  </tr>
  <tr>
   <th scope="row">Composed</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Live_example">Live example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;form id="form"&gt;
  &lt;input type="text" placeholder="text input"&gt;
  &lt;input type="password" placeholder="password"&gt;
&lt;/form&gt;</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">const form = document.getElementById('form');

form.addEventListener('focusin', (event) =&gt; {
  event.target.style.background = 'pink';
});

form.addEventListener('focusout', (event) =&gt; {
  event.target.style.background = '';
});</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Live_example", '100%', '50px')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("UI Events", "#event-type-focusout")}}</td>
   <td>{{Spec2("UI Events")}}</td>
   <td>Added info that this event is composed.</td>
  </tr>
  <tr>
   <td>{{SpecName("DOM3 Events", "#event-type-focusout")}}</td>
   <td>{{Spec2("DOM3 Events")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.focusout_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events: {{domxref("Element/blur_event", "blur")}}, {{domxref("Element/focus_event", "focus")}}, {{domxref("Element/focusin_event", "focusin")}}</li>
</ul>
